Google Apps Password Sync

Google Apps Password Sync (GAPS) automatically keeps your users' Google Apps passwords in sync with their Microsoft® Active Directory® passwords. Whenever a user's Active Directory password is changed, GAPS pushes the change to Google Apps immediately.

GAPS never changes your Active Directory passwords; it only syncs Active Directory password changes to Google Apps.

System requirements

  • Microsoft Active Directory 2008, or 2012 (AD DS, not AD LDS). Windows Server Core editions are not supported.
  • Google Apps for Work, Education, or Government.
  • GAPS must be installed on all Domain Controllers.
  • Domain Controllers need an Internet connection to connect to the following sites/ports:


    Purpose URL Port number
    API access 443
    Certificate Revocation Lists / Online Certificate Status Protocol


    Note: The certificate authority URLs can change at any point. For the most recent list of CRL/OCSP URLs, review the certificate information of the above API and Authentication hosts.

GAPS 1.4 downloads  

Download the correct MSI for your server's architecture:

Additional documentation

Was this article helpful?
Sign in to your account

Get account-specific help by signing in with your Apps for Work account email address, or learn how to get started with Apps for Work.